zenilib: zenilib/jni/external/freetype2/src/type1/t1tokens.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
t1tokens.h File Reference

Go to the source code of this file.

## Macros

#define | FT_STRUCTURE PS_FontInfoRec
#define | FT_STRUCTURE PS_FontInfoRec
#define | FT_STRUCTURE PS_FontExtraRec
#define | FT_STRUCTURE PS_FontExtraRec
#define | FT_STRUCTURE PS_PrivateRec
#define | FT_STRUCTURE PS_PrivateRec
#define | FT_STRUCTURE T1_FontRec
#define | FT_STRUCTURE T1_FontRec
#define | FT_STRUCTURE FT_BBox
#define | FT_STRUCTURE FT_BBox
#define | FT_STRUCTURE T1_FaceRec
#define | FT_STRUCTURE T1_FaceRec
#define | FT_STRUCTURE PS_BlendRec
#define | FT_STRUCTURE PS_BlendRec
#define | T1CODE T1_FIELD_LOCATION_FONT_INFO
#define | T1CODE T1_FIELD_LOCATION_FONT_INFO
#define | T1CODE T1_FIELD_LOCATION_FONT_EXTRA
#define | T1CODE T1_FIELD_LOCATION_FONT_EXTRA
#define | T1CODE T1_FIELD_LOCATION_PRIVATE
#define | T1CODE T1_FIELD_LOCATION_PRIVATE
#define | T1CODE T1_FIELD_LOCATION_FONT_DICT
#define | T1CODE T1_FIELD_LOCATION_FONT_DICT
#define | T1CODE T1_FIELD_LOCATION_BBOX
#define | T1CODE T1_FIELD_LOCATION_BBOX
#define | T1CODE T1_FIELD_LOCATION_FACE
#define | T1CODE T1_FIELD_LOCATION_FACE
#define | T1CODE T1_FIELD_LOCATION_BLEND
#define | T1CODE T1_FIELD_LOCATION_BLEND

## Functions

T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT | T1_FIELD_BOOL ("isFixedPitch", is_fixed_pitch, T1_FIELD_DICT_FONTDICT) T1_FIELD_NUM("UnderlinePosition"

T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE

T1_FIELD_FIXED ("ExpansionFactor", expansion_factor, T1_FIELD_DICT_PRIVATE) T1_FIELD_BOOL("ForceBold"

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE | T1_FIELD_FIXED_1000 ("BlueScale", blue_scale, T1_FIELD_DICT_PRIVATE) T1_FIELD_NUM("BlueShift"
T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT | T1_FIELD_NUM ("UnderlineThickness", underline_thickness, T1_FIELD_DICT_FONTDICT) T1_FIELD_NUM("FSType"
| T1_FIELD_NUM ("UniqueID", unique_id, T1_FIELD_DICT_FONTDICT|T1_FIELD_DICT_PRIVATE) T1_FIELD_NUM("lenIV"
T1_FIELD_DICT_PRIVATE | T1_FIELD_NUM ("LanguageGroup", language_group, T1_FIELD_DICT_PRIVATE) T1_FIELD_NUM("password"
T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE | T1_FIELD_NUM ("BlueFuzz", blue_fuzz, T1_FIELD_DICT_PRIVATE) T1_FIELD_NUM_TABLE("BlueValues"
T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE | T1_FIELD_NUM_TABLE ("OtherBlues", other_blues, 10, T1_FIELD_DICT_PRIVATE) T1_FIELD_NUM_TABLE("FamilyBlues"
T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE | T1_FIELD_NUM_TABLE ("FamilyOtherBlues", family_other_blues, 10, T1_FIELD_DICT_PRIVATE) T1_FIELD_NUM_TABLE2("StdHW"

T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE

T1_FIELD_NUM_TABLE ("StemSnapH", snap_widths, 12, T1_FIELD_DICT_PRIVATE) T1_FIELD_NUM_TABLE("StemSnapV"

T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE

T1_FIELD_NUM_TABLE2 ("StdVW", standard_height, 1, T1_FIELD_DICT_PRIVATE) T1_FIELD_NUM_TABLE2("MinFeature"

| T1_FIELD_STRING ("version", version, T1_FIELD_DICT_FONTDICT) T1_FIELD_STRING("Notice"
T1_FIELD_DICT_FONTDICT | T1_FIELD_STRING ("FullName", full_name, T1_FIELD_DICT_FONTDICT) T1_FIELD_STRING("FamilyName"
T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT | T1_FIELD_STRING ("Weight", weight, T1_FIELD_DICT_FONTDICT) T1_FIELD_NUM("ItalicAngle"

## Variables

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE | blue_shift
T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE | blue_values
T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE | family_blues
T1_FIELD_DICT_FONTDICT | family_name

T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE

force_bold

T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT | fs_type
T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT | italic_angle
| lenIV

T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE

min_feature

| notice
T1_FIELD_DICT_PRIVATE | password

T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE
T1_FIELD_DICT_PRIVATE

snap_heights

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE | standard_width
T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT | underline_position

## Macro Definition Documentation

#define FT_STRUCTURE PS_FontInfoRec

#define FT_STRUCTURE PS_FontInfoRec

Definition at line 132 of file t1tokens.h.

#define FT_STRUCTURE PS_FontExtraRec

Definition at line 132 of file t1tokens.h.

#define FT_STRUCTURE PS_FontExtraRec

#define FT_STRUCTURE PS_PrivateRec

#define FT_STRUCTURE PS_PrivateRec

Definition at line 132 of file t1tokens.h.

#define FT_STRUCTURE T1_FontRec

Definition at line 132 of file t1tokens.h.

#define FT_STRUCTURE T1_FontRec

#define FT_STRUCTURE FT_BBox

#define FT_STRUCTURE FT_BBox

Definition at line 132 of file t1tokens.h.

#define FT_STRUCTURE T1_FaceRec

#define FT_STRUCTURE T1_FaceRec

Definition at line 132 of file t1tokens.h.

#define FT_STRUCTURE PS_BlendRec

#define FT_STRUCTURE PS_BlendRec

Definition at line 132 of file t1tokens.h.

#define T1CODE T1_FIELD_LOCATION_FONT_INFO

Definition at line 134 of file t1tokens.h.

#define T1CODE T1_FIELD_LOCATION_FONT_INFO

#define T1CODE T1_FIELD_LOCATION_FONT_EXTRA

#define T1CODE T1_FIELD_LOCATION_FONT_EXTRA

Definition at line 134 of file t1tokens.h.

#define T1CODE T1_FIELD_LOCATION_PRIVATE

Definition at line 134 of file t1tokens.h.

#define T1CODE T1_FIELD_LOCATION_PRIVATE

#define T1CODE T1_FIELD_LOCATION_FONT_DICT

#define T1CODE T1_FIELD_LOCATION_FONT_DICT

Definition at line 134 of file t1tokens.h.

#define T1CODE T1_FIELD_LOCATION_BBOX

Definition at line 134 of file t1tokens.h.

#define T1CODE T1_FIELD_LOCATION_BBOX

#define T1CODE T1_FIELD_LOCATION_FACE

#define T1CODE T1_FIELD_LOCATION_FACE

Definition at line 134 of file t1tokens.h.

#define T1CODE T1_FIELD_LOCATION_BLEND

Definition at line 134 of file t1tokens.h.

#define T1CODE T1_FIELD_LOCATION_BLEND

## Function Documentation

T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_BOOL | ( | "isFixedPitch" | ,
|  | is_fixed_pitch | ,
|  | T1_FIELD_DICT_FONTDICT |
| ) |  |

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_FIXED | ( | "ExpansionFactor" | ,
|  | expansion_factor | ,
|  | T1_FIELD_DICT_PRIVATE |
| ) |  |

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_FIXED_1000 | ( | "BlueScale" | ,
|  | blue_scale | ,
|  | T1_FIELD_DICT_PRIVATE |
| ) |  |

T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_NUM | ( | "UnderlineThickness" | ,
|  | underline_thickness | ,
|  | T1_FIELD_DICT_FONTDICT |
| ) |  |

T1_FIELD_NUM | ( | "UniqueID" | ,
|  | unique_id | ,
|  | T1_FIELD_DICT_FONTDICT| | T1_FIELD_DICT_PRIVATE
| ) |  |

T1_FIELD_DICT_PRIVATE T1_FIELD_NUM | ( | "LanguageGroup" | ,
|  | language_group | ,
|  | T1_FIELD_DICT_PRIVATE |
| ) |  |

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_NUM | ( | "BlueFuzz" | ,
|  | blue_fuzz | ,
|  | T1_FIELD_DICT_PRIVATE |
| ) |  |

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_NUM_TABLE | ( | "OtherBlues" | ,
|  | other_blues | ,
|  | 10 | ,
|  | T1_FIELD_DICT_PRIVATE |
| ) |  |

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_NUM_TABLE | ( | "FamilyOtherBlues" | ,
|  | family_other_blues | ,
|  | 10 | ,
|  | T1_FIELD_DICT_PRIVATE |
| ) |  |

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_NUM_TABLE | ( | "StemSnapH" | ,
|  | snap_widths | ,
|  | 12 | ,
|  | T1_FIELD_DICT_PRIVATE |
| ) |  |

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_NUM_TABLE2 | ( | "StdVW" | ,
|  | standard_height | ,
|  | 1 | ,
|  | T1_FIELD_DICT_PRIVATE |
| ) |  |

T1_FIELD_STRING | ( | "version" | ,
|  | version | ,
|  | T1_FIELD_DICT_FONTDICT |
| ) |  |

T1_FIELD_DICT_FONTDICT T1_FIELD_STRING | ( | "FullName" | ,
|  | full_name | ,
|  | T1_FIELD_DICT_FONTDICT |
| ) |  |

T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_STRING | ( | "Weight" | ,
|  | weight | ,
|  | T1_FIELD_DICT_FONTDICT |
| ) |  |

## Variable Documentation

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE blue_shift

Definition at line 69 of file t1tokens.h.

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE blue_values

Definition at line 74 of file t1tokens.h.

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE family_blues

Definition at line 78 of file t1tokens.h.

T1_FIELD_DICT_FONTDICT family_name

Definition at line 30 of file t1tokens.h.

Referenced by cff_face_init().

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE force_bold

Definition at line 97 of file t1tokens.h.

T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT fs_type

Definition at line 50 of file t1tokens.h.

T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT italic_angle

Definition at line 36 of file t1tokens.h.

lenIV

Definition at line 60 of file t1tokens.h.

Referenced by cid_read_subrs().

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE min_feature

Definition at line 87 of file t1tokens.h.

notice

Definition at line 26 of file t1tokens.h.

T1_FIELD_DICT_PRIVATE password

Definition at line 64 of file t1tokens.h.

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE snap_heights

Definition at line 92 of file t1tokens.h.

T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE T1_FIELD_DICT_PRIVATE standard_width

Definition at line 83 of file t1tokens.h.

T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT T1_FIELD_DICT_FONTDICT underline_position

Definition at line 40 of file t1tokens.h.